[Deprecated]: v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/randlistdesigns
Deprecated: Retrieves a randomization design list. Rights: OrsRandListGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object RndListDesignList
Title:
RndListDesignListContains randomization list with associated randomization designs.
Nested Schema : RndListDesignList
Type:
objectTitle:
RndListDesignListContains randomization list with associated randomization designs.
Show Source
-
randDesigns: array
randDesigns
-
randListId: string
(uuid)
Unique ID for randomization list.
-
randListName: string
Randomization list nameExample:
UPL_RL191_V1001 -
randomizationSeed: number
(double)
Title:
Randomization SeedSeed number.Example:5 -
useSequenceNumber: boolean
Title:
useSequenceNumberIndicates whether the randomization list includes a sequence number.Example:false
Nested Schema : randDesigns
Type:
Show Source
array-
Array of:
object RndListDesign
Title:
RndListDesignContains Randomization design detail.
Nested Schema : RndListDesign
Type:
objectTitle:
RndListDesignContains Randomization design detail.
Show Source
-
randDesignName: string
Randomization design nameExample:
UPL_RL191_V1001 -
randDesignSrcId: string
(uuid)
Unique ID for randomization design.
-
studyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.1
Example:
{
"randDesignId":"8ECE2C9D389645B09740DC7926DEFB69",
"randDesignName":"Design A"
}Examples
404 Response
For invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples